#GIT_CMT=027663fe4ca15b643685c32cb154b2d4aac4e8ea
%define ver 1.0.20

Name: librdmacm
Version: 1.0.20
Release: 1.0.4%{?dist}
Summary: Userspace RDMA Connection Manager

Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source: librdmacm-1.0.20.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libibverbs-devel >= 1.1-1

%description
librdmacm provides a userspace RDMA Communication Managment API.

%package devel
Summary: Development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} %{_includedir}/infiniband/verbs.h

%description devel
Development files for the librdmacm library.

%package utils
Summary: Examples for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description utils
Example test programs for the librdmacm library.

%prep
%setup -q -n %{name}-%{ver}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/rsocket/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/rsocket/lib*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root)
%{_libdir}/librdmacm*.so
%{_libdir}/rsocket/librspreload*.so
%{_libdir}/*.a
%{_libdir}/rsocket/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.4
- BUILDINFO: commit=027663fe4ca15b643685c32cb154b2d4aac4e8ea
- librdmacm: Bump release number for updates (Mukesh Kacker)  
- librdmacm: Remove atexit and destructors (Jason Gunthorpe)  
- librdmacm: consolidate spec files for ol6,ol7 that are identical (Mukesh Kacker)  

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.3
- librdmacm: bump up release number (Mukesh Kacker)  
- librdmacm: Oracle UEK2 XRC API usage binary compatibility (Amarnath Jolad)  
- librdmacm: XRC binary compatibility patch (Amarnath Jolad)

* Tue Sep 15 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.2
- librdmacm: bump release number to rebuild with new headers (Mukesh Kacker)  
- librdmacm: add support for Oracle Linux 7 (OL7) builds (Mukesh Kacker)

* Fri Feb 15 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-1
- Initial Fedora spec file

